Get Companies From List
Authorization
Bearer In: header
Path Parameters
Query Parameters
Order by field
- revealed_at
- name
Order direction
- asc
- desc
Pass a partial company name to filter the list of companies
Number of results per page
Page number. Required when using page-based pagination.
Number of results to skip. Required for offset-based pagination.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.theirstack.com/v0/company_lists/0/companies"[
{
"company_name": "string",
"added_at": "2019-08-24T14:15:22Z",
"revealed_at": "2019-08-24T14:15:22Z",
"company_object": {
"id": "google",
"name": "Google",
"domain": "google.com",
"industry": "internet",
"country": "United States",
"country_code": "string",
"employee_count": 7543,
"logo": "https://example.com/logo.png",
"num_jobs": 746,
"num_technologies": 746,
"possible_domains": [],
"url": "google.com",
"industry_id": 0,
"linkedin_url": "http://www.linkedin.com/company/google",
"num_jobs_last_30_days": 34,
"num_jobs_found": 23,
"yc_batch": "W21",
"apollo_id": "5b839bd0324d4445051f9a5a",
"linkedin_id": "string",
"url_source": "string",
"is_recruiting_agency": true,
"founded_year": 2019,
"annual_revenue_usd": 189000000,
"annual_revenue_usd_readable": "189M",
"total_funding_usd": 500000,
"last_funding_round_date": "2020-01-01",
"last_funding_round_amount_readable": "$1.2M",
"employee_count_range": "1001-5000",
"long_description": "Google is a California-based multinational technology company that offers internet-related services such as a search engine, online advertising and cloud computing.",
"seo_description": "string",
"city": "Mountain View",
"postal_code": "28040",
"company_keywords": [
"string"
],
"alexa_ranking": 1,
"publicly_traded_symbol": "GOOG",
"publicly_traded_exchange": "NASDAQ",
"investors": [
"string"
],
"funding_stage": "angel",
"has_blurred_data": false,
"technology_slugs": [
"kafka",
"elasticsearch"
],
"technology_names": [
"Kafka",
"Elasticsearch"
]
}
}
]{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
Export Companies From List GET
Export companies from a saved list to a downloadable CSV or XLSX file. The export includes company details such as domain, industry, size, location, funding, and revenue data for offline analysis.
List All Lists GET
Retrieve all company lists for the current team including list name, company count, and creation date. Use company lists to organize and segment companies for targeted outreach and analysis.
